Package org.springframework.security.core.authority.mapping

# Interface GrantedAuthoritiesMapper

All Known Implementing Classes:
  `NullAuthoritiesMapper`, `RoleHierarchyAuthoritiesMapper`, `SimpleAuthorityMapper`

public interface GrantedAuthoritiesMapper
Mapping interface which can be injected into the authentication layer to convert the authorities loaded from storage into those which will be used in the `Authentication` object.

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends GrantedAuthority>`
`mapAuthorities(Collection<? extends GrantedAuthority> authorities)`

## Method Details

### mapAuthorities

Collection<? extends GrantedAuthority> mapAuthorities(Collection<? extends GrantedAuthority> authorities)